List Purchase Orders
curl --request GET \
--url https://api.upwell.com/api/rest/purchase-ordersimport requests
url = "https://api.upwell.com/api/rest/purchase-orders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.upwell.com/api/rest/purchase-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"purchaseOrders": [
{
"annotations": [
{
"confidence": 123,
"fieldLabel": "<string>",
"id": "<string>",
"pageNumber": 123,
"reasoning": "<string>",
"stampTitle": "<string>",
"text": "<string>",
"valueDate": "2023-12-25",
"valueNumber": "<string>"
}
],
"billTo": {
"address": {
"city": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"streetLine3": "<string>",
"zipOrPostalCode": "<string>"
},
"email": "<string>",
"name": "<string>",
"phone": "<string>"
},
"buyerContactName": "<string>",
"buyerEmail": "<string>",
"buyerName": "<string>",
"buyerPhone": "<string>",
"cancelAfterDate": "2023-12-25",
"confirmToEmail": "<string>",
"contractNumber": "<string>",
"createdAt": "<unknown>",
"customerAccountNumber": "<string>",
"department": "<string>",
"documentId": "<string>",
"fobPoint": "<string>",
"freightTerms": "<string>",
"id": "<string>",
"incoterms": "<string>",
"legibilityScore": "<unknown>",
"miscChargeAmount": 123,
"notes": "<string>",
"paymentTermsDescription": "<string>",
"paymentTermsDiscountDays": 123,
"paymentTermsDiscountPercent": "<unknown>",
"paymentTermsNetDays": 123,
"pickupDate": "2023-12-25",
"poDate": "2023-12-25",
"poNumber": "<string>",
"poType": "<string>",
"projectNumber": "<string>",
"purchaseOrderLineItems": [
{
"brand": "<string>",
"buyerPartNumber": "<string>",
"description": "<string>",
"extendedAmount": 123,
"id": "<string>",
"lineNumber": 123,
"manufacturerName": "<string>",
"manufacturerPartNumber": "<string>",
"notes": "<string>",
"packSize": "<string>",
"promisedDeliveryDate": "2023-12-25",
"quantity": "<unknown>",
"requestedDeliveryDate": "2023-12-25",
"revision": "<string>",
"schedules": "<unknown>",
"unitOfMeasure": "<string>",
"unitPriceAmount": 123,
"unitPriceBasis": "<unknown>",
"upc": "<string>",
"vendorPartNumber": "<string>"
}
],
"referenceNumbers": "<unknown>",
"releaseNumber": "<string>",
"remitTo": {
"address": {
"city": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"streetLine3": "<string>",
"zipOrPostalCode": "<string>"
},
"email": "<string>",
"name": "<string>",
"phone": "<string>"
},
"requestedDeliveryDate": "2023-12-25",
"requestedShipDate": "2023-12-25",
"requesterName": "<string>",
"requisitionNumber": "<string>",
"revisionDate": "2023-12-25",
"revisionNumber": "<string>",
"shipTo": {
"address": {
"city": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"streetLine3": "<string>",
"zipOrPostalCode": "<string>"
},
"email": "<string>",
"name": "<string>",
"phone": "<string>"
},
"shipToCode": "<string>",
"shipVia": "<string>",
"specialInstructions": "<string>",
"subtotalAmount": 123,
"supplier": {
"address": {
"city": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"streetLine3": "<string>",
"zipOrPostalCode": "<string>"
},
"email": "<string>",
"name": "<string>",
"phone": "<string>"
},
"taxAmount": 123,
"totalAmount": 123,
"totalQuantity": "<unknown>",
"totalVolume": "<unknown>",
"totalWeight": "<unknown>",
"vendorInstructions": "<string>",
"vendorNumber": "<string>",
"weightUnit": "<string>"
}
]
}Purchase Orders
List Purchase Orders
List recent purchase orders (newest first). Optional limit query parameter caps the result count.
GET
/
api
/
rest
/
purchase-orders
List Purchase Orders
āI

